script.on_nth_tick(60, function(event)
    local entities = game.surfaces["nauvis"].find_entities_filtered{name="rocket-silo"}
    for _, entity in pairs(entities) do
        local fluidBoxes = entity.fluidbox
        if fluidBoxes then
            for fluidBoxIndex = 1,#fluidBoxes do
                local filter = fluidBoxes.get_filter(fluidBoxIndex)
                if filter and filter.name == "custom-fluid" then
                    local capacity = fluidBoxes.get_capacity(fluidBoxIndex)
                    fluidBoxes[fluidBoxIndex] = {name="custom-fluid", amount=capacity}
                end
            end
        end
    end
end)
