data:extend(
{
    --fluid, which acts as the fuel
    {
        type = "fluid",
        name = "custom-fluid",
        default_temperature = 25,
        fuel_value = "1kJ",
        base_color = {r=0, g=0.4, b=0},
        flow_color = {r=0, g=0.5, b=0},
        max_temperature = 100,
        icon = "__base__/graphics/icons/fluid/water.png",
        icon_size = 32,
        order = "a[fluid]-h[robot-labor]"
    },
})

data.raw["rocket-silo"]["rocket-silo"].energy_source =
    {
        type = "fluid",
        emissions_per_minute = 0,
        render_no_power_icon = true,
        fluid_box =
        {
          base_area = 1000000,
          height = 1,
          base_level = 0,
          pipe_connections =
          {
          },
          production_type = "input",
          filter = "custom-fluid"
        },
        burns_fluid = true,
        scale_fluid_usage = true,
        effectivity = 1,
    }